package com.example.model

import com.example.command.request.UpdateAuthByEmailCommand

data class AuthEntity(
    val userId: Int,
    var userName: String,
    val email: String,
    var password: String
){
    fun update(updateAuthByEmailCommand: UpdateAuthByEmailCommand): AuthEntity{
        updateAuthByEmailCommand.password?.let {
            this.password = it
        }
        updateAuthByEmailCommand.userName?.let {
            this.userName = it
        }
        return this
    }
}