package com.example.repository

import com.example.command.request.GetAuthByEmailCommand
import com.example.command.request.InsertAuthCommand
import com.example.command.request.UpdateAuthByEmailCommand
import com.example.model.AuthEntity

interface AuthRepository {
    suspend fun getAuthByEmail(getAuthByEmailCommand: GetAuthByEmailCommand): AuthEntity?
    suspend fun updateAuthByEmail(updateAuthByEmailCommand: UpdateAuthByEmailCommand): Boolean
    suspend fun insertAuth(insertAuthCommand: InsertAuthCommand): AuthEntity
}